/*****************************************************************************
 * misc-utils                                                                *
 *****************************************************************************/

/*****************************************************************************
 * File name:     pipe.h                                                     *
 * Created:       2000-08-12 by Hampa Hug <hhug@student.ethz.ch>             *
 * Last modified: 2002-08-27 by Hampa Hug <hhug@student.ethz.ch>             *
 * Copyright:     (C) 2000-2002 by Hampa Hug <hhug@student.ethz.ch>          *
 *****************************************************************************/

/*****************************************************************************
 * This program is free software. You can redistribute it and / or modify it *
 * under the terms of the GNU General Public License version 2 as  published *
 * by  the Free Software Foundation.                                         *
 *                                                                           *
 * This program is distributed in the hope  that  it  will  be  useful,  but *
 * WITHOUT  ANY   WARRANTY,   without   even   the   implied   warranty   of *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU  General *
 * Public License for more details.                                          *
 *****************************************************************************/

#define PIPE_BUF_SIZE 4096

typedef struct t_pipe_arg_t {
	struct t_pipe_arg_t *next;
	char                *arg;
} pipe_arg_t;

typedef struct t_pipe_cmd_t {
	struct t_pipe_cmd_t *next;
	char                *cmd;
	unsigned            arg_n;
	pipe_arg_t          *arg;
} pipe_cmd_t;

typedef struct t_pipe_t {
	struct t_pipe_t *next;
	pipe_cmd_t      *cmd;
	int             fd_inp;
	int             fd_out;
} pipe_t;
