/*****************************************************************************
 * misc-utils                                                                *
 *****************************************************************************/

/*****************************************************************************
 * File name:     entab.h                                                    *
 * Created:       2000-12-10 by Hampa Hug <hhug@student.ethz.ch>             *
 * Last modified: 2002-08-27 by Hampa Hug <hhug@student.ethz.ch>             *
 * Copyright:     (C) 2000-2002 by Hampa Hug <hhug@student.ethz.ch>          *
 *****************************************************************************/

/*****************************************************************************
 * This program is free software. You can redistribute it and / or modify it *
 * under the terms of the GNU General Public License version 2 as  published *
 * by  the Free Software Foundation.                                         *
 *                                                                           *
 * This program is distributed in the hope  that  it  will  be  useful,  but *
 * WITHOUT  ANY   WARRANTY,   without   even   the   implied   warranty   of *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU  General *
 * Public License for more details.                                          *
 *****************************************************************************/

typedef struct _tab_lst_el {
	struct _tab_lst_el *next;
	unsigned           pos;
} tab_lst_el;

typedef struct {
	unsigned   deftab;
	tab_lst_el *tab;
} tab_lst;

typedef struct {
	unsigned chrcnt;
	unsigned chrmax;
	char     *chr;

	unsigned eolcnt;
	char     eol[2];
} line_buf;
